ZIP_ERROR_SYS_TYPE(3)

NAME
zip_error_get_sys_type - get type of system error code

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_error_get_sys_type(int ze);

DESCRIPTION
The zip_error_get_sys_type function returns the type of the system error code for the libzip error ze. Possible types are:

    ZIP_ET_NONE
        System error code is unused.

    ZIP_ET_SYS
        System error code is an errno value.

    ZIP_ET_ZLIB
        System error code is from zlib(3).

SEE ALSO
libzip(3), zip_error_get(3), zip_error_to_str(3), zip_file_error_get(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>